Bug 1287132 - Fedora 23 | GNOME 3-3.18.2-1.fc23.x86_64 - Mouse pointer freezes upon login.
Fedora 23 | GNOME 3-3.18.2-1.fc23.x86_64 - Mouse pointer freezes upon login.
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-01 10:02 EST by John
Modified: 2016-12-20 11:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 11:28:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmidecode information (18.94 KB, text/plain)
2015-12-01 10:02 EST, John
no flags Details

  None (edit)
Description John 2015-12-01 10:02:14 EST
Created attachment 1100937 [details]
dmidecode information

Description of problem:
Upon login, the mouse pointer freezes on the screen and remains in that position until the system is rebooted. Once rebooted, the problem persists once login commences.

Note; Although the pointer is frozen on the screen, I have discovered that if I move my mouse around, I can access the toolbar with an apparent "invisible mouse pointer". Once I click on an application (or "Activities", then "type to search" and actually open an app; from that point forward, I can then see (and use) the mouse pointer on the screen. However, the aforementioned "frozen mouse pointer" still remains in its original position.

Version-Release number of selected component (if applicable):

NOTE: I'm not certain about the component on this issue. There didn't appear to be a generic "mouse" issue from the droplist.

How reproducible: 100% of the time.

Steps to Reproduce:
1. Login to Fedora 23 using GNOME
2. During login, mouse pointer freezes on screen

Actual results:
During login process, mouse pointer freezes on screen
Moving the mouse around to launch an application (blindly - that is, without being able to "see" the pointer on the screen) will produce a viewable and useable mouse pointer on the screen while leaving the old pointer frozen on the screen.

Expected results:
Login to Fedora 23 (GNOME), mouse pointer always moves freely about without being frozen.

Additional info:
dmidecode information provided in attachement (dmi.txt)
GNOME version: gnome-desktop3-3.18.2-1.fc23.x86_64
Comment 1 Kevin Fenzi 2015-12-01 11:34:40 EST
Moving this to gnome-shell.
Comment 2 Timothy Ward 2015-12-30 00:30:16 EST
During testing this bug shows up on nvidia gtx 550 ti card but not on intel i915
or AMD Mobility Radeon HD 5650/5750 using nouveau driver

The only error message I could find in logs when using nvidia card was :

drm:i915_gem_init_stolen [i915]] *ERROR* conflict detected with stolen region: [0xcba00000 - 0xcfa00000].
Comment 3 Timothy Ward 2016-01-29 02:39:02 EST
In my case this happens when logging into Gnome using the X driver, but does not happen when using Gnome Wayland.
Comment 4 Christian Stadelmann 2016-09-22 15:40:19 EDT
(In reply to Timothy Ward from comment #3)
> In my case this happens when logging into Gnome using the X driver, but does
> not happen when using Gnome Wayland.

Same here. I've had this on F23, F24 and now seeing this on F25 alpha too.

* to leave the broken X11 session: SAK (Alt+SysRq+K) to kill the session, twice due to this bug https://bugzilla.gnome.org/show_bug.cgi?id=771548
* use wayland session instead of X11 session
Comment 5 Malcolm Nooning 2016-11-17 20:08:17 EST
john and I have the same symptoms.  I just downloaded and installed Fedora 24 on an old IBM T43 laptop.  I also did "dnf update".

If I wiggle about on the mouse pad enough for the invisible mouse and use guesswork to pop up a terminal, the mouse cursor will automagically be visible, and all will be well after that ... until the next shut down and login.  Just like with John.

Memory 1.5GB
Processor Intel Pentium M, 1.86 GHz
OS Type 32-bit
Graphics Gallium 0,.4 on ATI RV370
GNOME Version 3.20.2

"uname -a" says 
Linux 4.8.7-200.fc24.i686+PAE #1 SMP Fri Nov 11 16:10:41
Comment 6 Fedora End Of Life 2016-11-24 08:52:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Christian Stadelmann 2016-11-24 12:36:57 EST
Please change version number to 25 since this issue still seems to appear again.
Comment 8 Fedora End Of Life 2016-12-20 11:28:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.